.wp-block-asfinanciering-page-header {
  padding: 0 var(--wp--preset--spacing--16);
  position: relative;
  max-width: none;
  width: 100vw;
  margin-left: calc(-1 * ((100vw - 100%) / 2));
  margin-bottom: var(--wp--preset--spacing--16)!important;
  box-sizing: border-box;
}
.page-header__entry {
  position: relative;
  max-width: var(--wp--style--global--wide-size);
  margin: auto;
  padding: 248px 0 0 0;
  z-index: 1;
  overflow: auto;
}

.page-header__entry h1 {
  max-width: 18ch;
}

.page-header__entry p {
  font-size: var(--wp--preset--font-size--5);
}

.page-header__entry .wp-block-buttons {
  padding-bottom: var(--wp--preset--spacing--16);
}

.page-header__entry .wp-block-buttons:empty {
  display: none;
}

.page-header__background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--wp--custom--color--surface--accent--default);
}

.page-header__background.has-calculator {
  height: 70%;
}

.page-header__background img {
  position: relative;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: 50% 50%;
  z-index: -1;
  /* opacity: .8; */
}

.page-header__background figcaption {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  z-index: 1; /* above the image */
  display: flex;
  align-items: center;
  justify-content: center;
  writing-mode: vertical-rl; /* avoid transform-based sizing */
  text-orientation: mixed;
}

.page-header__background figcaption span {
  margin: 0;
  border-radius: 0 0 var(--wp--custom--radius--sm) var(--wp--custom--radius--sm);
  background: rgba(0, 0, 0, 0.50);
  color: #ffffff;
  padding: var(--wp--preset--spacing--2) var(--wp--preset--spacing--1) var(--wp--preset--spacing--2) var(--wp--preset--spacing--1);
  font-size: 10px;
}

.page-header__calculator section {
  position: relative;
  display: flex;
  gap: var(--wp--preset--spacing--2);
  max-width: var(--wp--style--global--wide-size);
  margin: auto;
  z-index: 1;
}

.page-header__calculator form {
  flex: 3;
  background-color: var(--wp--custom--color--surface--elevation--default);
  border-radius: var(--wp--custom--radius--lg);
}

.page-header__calculator form .type_selected {
  display: none;
}

.page-header__calculator form .type {
  display: flex;
  gap: var(--wp--preset--spacing--2);
  padding: 0 var(--wp--preset--spacing--6);
  border-bottom: 1px solid var(--wp--custom--color--border--subtle--default);
  overflow: scroll;
}

.page-header__calculator form .type-item {
  position: relative;
}

.page-header__calculator form .type-item input {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
}
.page-header__calculator form .type-item  label {
  display: flex;
  gap: var(--wp--preset--spacing--2);
  padding: var(--wp--preset--spacing--5) var(--wp--preset--spacing--4);
  cursor: pointer;
}
.page-header__calculator form .type-item  label svg {
  width: 25px;
  height: 24px;
}

.page-header__calculator .product-info {
  padding: var(--wp--preset--spacing--6) var(--wp--preset--spacing--6) 0;
  font-size: var(--wp--preset--font-size--3); /*font-size: var(--wp--preset--font-size--2)*/
}

.page-header__calculator form .type-item label {
  color: var(--wp--custom--color--text--subtle--default);
  white-space: nowrap;
}

.page-header__calculator form .type-item  label svg path {
  stroke: var(--wp--custom--color--icon--subtle--default);
}

.page-header__calculator form .type-item input:checked + label {
  color: var(--wp--custom--color--text--primary--default);
  border-bottom: 3px solid var(--wp--custom--color--border--accent--default);
}

.page-header__calculator form .type-item input:checked + label svg path {
  stroke: var(--wp--custom--color--icon--accent--default);
}

.page-header__calculator .form-elements {
  display: flex;
  gap: var(--wp--preset--spacing--6);
  padding: 0 var(--wp--preset--spacing--6);
}

/* .page-header__calculator .form-elements div[aria-live="polite"] {
  display: none;
} */

.page-header__calculator .form-elements .form-element {
  padding: var(--wp--preset--spacing--15) 0;
}

.page-header__calculator .form-elements .form-element input[type="text"] {
  width: 100%;
  text-align: center;
  font-size: var(--wp--preset--font-size--9);
  font-family: var(--wp--preset--font-family--general-sans);
  font-weight: 600;
  border: none;
  background: none;
}

.page-header__calculator .form-elements .form-element input[type="range"] {
  display: block;
  width: 100%;
  max-width: 184px;
  -webkit-appearance: none;
  appearance: none;
  background: transparent;
  cursor: pointer;
  margin: 0 auto;
}

.page-header__calculator .form-elements .form-element input[type="range"]::-webkit-slider-runnable-track {
  height: 8px;
  background-color: var(--wp--custom--color--border--subtle--default);
  border-radius: var(--wp--custom--radius--md);
  /* border: 2px solid white; */
}

.page-header__calculator .form-elements .form-element input[type="range"]::-moz-range-track {
  height: 8px;
  background-color: var(--wp--custom--color--border--subtle--default);
  border-radius: var(--wp--custom--radius--md);
}

.page-header__calculator .form-elements .form-element input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 8px;
  width: 8px;
  background-color: var(--wp--custom--color--surface--neutral--default);
  outline: 8px solid var(--wp--custom--color--surface--accent--default);
  border-radius: 100%;
}

.page-header__calculator .form-elements .form-element label {
  display: block;
  color: var(--wp--custom--color--text--subtle--default);
  text-align: center;
  font-size: var(--wp--preset--font-size--3);
  margin-bottom: var(--wp--preset--spacing--18);
}

.page-header__calculator .form-elements .form-element input[type="text"]:focus {
  outline: none;
  box-shadow: 0px 0px 0px 1px var(--wp--custom--color--border--accent--default) inset;
}

.page-header__calculator .kaskofritt {
  padding: 0 var(--wp--preset--spacing--6);
}

.page-header__calculator .kaskofritt p {
  font-size: var(--wp--preset--font-size--3); /*font-size: var(--wp--preset--font-size--2)*/
}

.page-header__calculator .result {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex: 1;
  padding: var(--wp--preset--spacing--6);
  border-radius: var(--wp--custom--radius--lg);
  background-color: var(--wp--custom--color--surface--strong--default);
  color: var(--wp--custom--color--text--primary--inverse);
}

.page-header__calculator.has-background-image .result {
  background-color: var(--wp--custom--color--surface--accent--default);
  color: var(--wp--custom--color--text--on-accent--default);
}

.page-header__calculator .result .lead {
  font-weight: 550;
}

.page-header__calculator .result .wrapper {
  display: flex;
  flex-direction: column;
  gap: var(--wp--preset--spacing--6);
}

.page-header__calculator .result .mnd .value {
  font-size: var(--wp--preset--font-size--9);
  font-weight: 600;
  line-height: 1;
}

.page-header__calculator .result .nom,
.page-header__calculator .result .eff {
  display: flex;
  gap: var(--wp--preset--spacing--2);
}

.page-header__calculator .result .nom .lbl,
.page-header__calculator .result .eff .lbl {
  font-size: var(--wp--preset--font-size--3);
  margin-top: auto;
}

.page-header__calculator .result .nom .value,
.page-header__calculator .result .eff .value  {
  font-size: var(--wp--preset--font-size--6);
  font-weight: 600;
}
.page-header__calculator .result .loader {
  width: 48px;
  height: 48px;
  margin: 0 auto;
  background-color: var(--wp--custom--color--icon--accent--default);
  vertical-align: bottom;
  border-radius: 100%;
  -webkit-animation: sk-scaleout 1s infinite ease-in-out;
  animation: sk-scaleout 1s infinite ease-in-out;
}

.page-header__calculator.has-background-image .result .loader {
  background-color: var(--wp--custom--color--icon--subtle--default);
}

.page-header__calculator .result .button {
  height: auto;
  background-color: var(--wp--custom--color--surface--accent--default);
  color: var(--wp--custom--color--text--on-accent--default);
  border: none;
}

.page-header__calculator.has-background-image .result .button {
  background-color: var(--wp--custom--color--surface--inverse--default);
  color: var(--wp--custom--color--text--primary--default);
}

.page-header__calculator .result .disclaimer {
  font-size: var(--wp--preset--font-size--3); /*font-size: var(--wp--preset--font-size--2)*/
}

@media (width <= 1190px) {
  .page-header__calculator section {
    flex-direction: column;
  }

  .page-header__calculator .result .wrapper {
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
  }

  .page-header__calculator .result .wrapper .nom,
  .page-header__calculator .result .wrapper .eff {
    margin-top: auto;
  }
}

@media (max-width: 768px) {
  .page-header__entry {
    padding: 134px 0 0 0;
  }
  .wp-block-asfinanciering-page-header {
    padding: 0 var(--wp--preset--spacing--4) var(--wp--preset--spacing--4);
  }

  .page-header__background.has-calculator {
    height: 50vh;
  }

  .page-header__calculator section {
    flex-direction: column;
    height: auto;
  }

  .page-header__calculator form .type {
    padding: 0;
    gap: 0;
  }

  .page-header__calculator form .type-item {
    width: 20%;
    text-align: center;
  }

  .page-header__calculator form .type-item  label {
    flex-direction: column;
    padding: var(--wp--preset--spacing--5) 0 var(--wp--preset--spacing--4) 0;
    gap: var(--wp--preset--spacing--1);
  }

  .page-header__calculator .form-elements {
    flex-direction: column;
    padding-bottom: var(--wp--preset--spacing--6);
  }


  .page-header__calculator .form-elements .form-element {
    padding: var(--wp--preset--spacing--6) 0 0;
  }

  .page-header__calculator .form-elements .form-element .input-wrapper {
    display: flex;
    align-items: center;
    gap: var(--wp--preset--spacing--2);
    border: 1px solid var(--wp--custom--color--border--input--default);
    border-radius: var(--wp--custom--radius--sm);
    padding: var(--wp--preset--spacing--3)  var(--wp--preset--spacing--4);
  }

  .page-header__calculator .form-elements .form-element .input-wrapper input[type="text"] {
    text-align: left;
    flex: 1;
    width: auto;
    min-width: 0;
  }

  .page-header__calculator .form-elements .form-element .input-wrapper label {
    display: flex;
    align-items: center;
    margin: 0;
    flex: 0 0 auto;
    white-space: nowrap;
  }

  .page-header__calculator .form-elements .form-element input[type="range"] {
    max-width: none;
    margin-top: var(--wp--preset--spacing--6);
  }

  .page-header__calculator.has-background-image .result .button {
    width: 100%;
  }
}

@keyframes sk-scaleout {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 0;
  }
}